Bug 824106 - [abrt] iok-2.1.2-1.fc17: standard_calloc: Process /usr/bin/iok was killed by signal 11 (SIGSEGV)
[abrt] iok-2.1.2-1.fc17: standard_calloc: Process /usr/bin/iok was killed by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
abrt_hash:1b1cfbad3acdf0884bba25f5935...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 14:14 EDT by Aleksey
Modified: 2012-07-19 04:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 04:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.12 KB, text/plain)
2012-05-22 14:14 EDT, Aleksey
no flags Details
File: smolt_data (2.99 KB, text/plain)
2012-05-22 14:15 EDT, Aleksey
no flags Details
File: maps (13.68 KB, text/plain)
2012-05-22 14:15 EDT, Aleksey
no flags Details
File: dso_list (4.94 KB, text/plain)
2012-05-22 14:16 EDT, Aleksey
no flags Details
a patch that eliminates the problem (495 bytes, patch)
2012-05-23 13:31 EDT, Aleksey
no flags Details | Diff

  None (edit)
Description Aleksey 2012-05-22 14:14:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        iok
comment:        program crashes on startup
crash_function: standard_calloc
executable:     /usr/bin/iok
kernel:         3.3.6-3.fc17.i686
pid:            2829
pwd:            /home/aleks
remote_result:  NOTFOUND
time:           Вт. 22 мая 2012 22:00:36
uid:            1000
username:       aleks

backtrace:      Text file, 31871 bytes
dso_list:       Text file, 5059 bytes
maps:           Text file, 14011 bytes
smolt_data:     Binary file, 3062 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/aleks/1

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x736f4 malloc_consolidate libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x74704 _int_malloc libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x7872b calloc libc.so.6 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0xb131 _dl_new_object ld-linux.so.2 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0x64af _dl_map_object_from_fd ld-linux.so.2 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0x83a4 _dl_map_object ld-linux.so.2 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0x13596 dl_open_worker ld-linux.so.2 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0xf48e _dl_catch_error ld-linux.so.2 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0x130b4 _dl_open ld-linux.so.2 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x12e4c1 do_dlopen libc.so.6 -
:3e8db068ebbfae69654767b42d9b0475c53121e7 0xf48e _dl_catch_error ld-linux.so.2 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x12e5e3 __libc_dlopen_mode libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x1a9ff4 - libc.so.6 -
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a 0xb74e pthread_once libpthread.so.0 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x106805 backtrace libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x6c7d1 __libc_message libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x730f2 malloc_printerr libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x751f7 _int_malloc libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x7872b calloc libc.so.6 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x4cbf4 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x4d30a g_malloc0 libglib-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbde5 g_closure_new_simple libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd25f g_cclosure_new libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x24db4 g_signal_connect_data libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xd005e - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x134ed g_object_newv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x13d2a g_object_new_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x13f80 g_object_new libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xd0621 gtk_cell_view_new_with_context libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x28a23a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x28b6c3 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x18a621 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x28e652 gtk_tree_model_row_inserted libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x182271 gtk_list_store_insert libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x182882 gtk_list_store_append libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xe7d84 gtk_combo_box_text_insert libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xe7fe4 gtk_combo_box_text_append_text libgtk-3.so.0 -
:2fbddb739e7ec39b11f85e82ae736200022a448f 0x1b5c1 - [exe] -
:2fbddb739e7ec39b11f85e82ae736200022a448f 0x2050d - [exe] -
:2fbddb739e7ec39b11f85e82ae736200022a448f 0x3922 - [exe] -

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=1419
:XDG_SESSION_ID=1
:HOSTNAME=netbook
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/aleks/.gnupg/S.gpg-agent:1432:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:TERM=linux
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=aleks
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-TwWeSJiU1301/agent.1301
:MC_TMPDIR=/tmp/mc-aleks
:XDG_CONFIG_DIRS=/etc/xdg
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/aleks
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/aleks/.local/bin:/home/aleks/bin
:QT_IM_MODULE=xim
:PWD=/etc/X11/xorg.conf.d
:XMODIFIERS=@im=none
:LANG=ru
:RU.UTF-8
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignorespace
:SHLVL=4
:XDG_SEAT=seat0
:HOME=/home/aleks
:MC_SID=1154
:LOGNAME=aleks
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-R8QgrJOw5P,guid=335549a3dfda9efb2ead49c1000000fd
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/aleks
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:GTK_IM_MODULE=xim
:XAUTHORITY=/home/aleks/.Xauthority
:_=/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1441,unix/unix:/tmp/.ICE-unix/1441
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/iok/1448-1-netbook_TIME1399966

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7822                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7822                 7822                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/pts/0
:pos:	0
:flags:	0102002
:2:/dev/pts/0
:pos:	0
:flags:	0102002
:3:socket:[50431]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[49560]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[49563]
:pos:	0
:flags:	02004002
:9:/usr/share/m17n/as-inscript2.mim
:pos:	4096
:flags:	00
:10:/usr/share/m17n/as-inscript.mim
:pos:	4096
:flags:	00
:11:/usr/share/m17n/bn-inscript2.mim
:pos:	3419
:flags:	00
:12:/usr/share/m17n/bn-inscript.mim
:pos:	3234
:flags:	00
:13:/usr/share/m17n/brx-inscript2-deva.mim
:pos:	3055
:flags:	00
:14:/usr/share/m17n/doi-inscript2-deva.mim
:pos:	3097
:flags:	00
:15:/usr/lib/libgcc_s-4.7.0-20120507.so.1
:pos:	512
:flags:	02000000

var_log_messages:
:May 22 21:59:54 netbook kernel: [ 1358.486227] iok[2791] general protection ip:42fd95 sp:bf8ebf20 error:0 in libgobject-2.0.so.0.3200.3[423000+4c000]
:May 22 21:59:55 netbook abrt[2793]: Saved core dump of pid 2791 (/usr/bin/iok) to /var/spool/abrt/ccpp-2012-05-22-21:59:55-2791 (10547200 bytes)
:May 22 22:00:36 netbook kernel: [ 1400.248272] iok[2829]: segfault at 3274706d ip 00f576f4 sp bfb5db60 error 4 in libc-2.15.so[ee4000+1a8000]
:May 22 22:00:36 netbook abrt[2831]: Saved core dump of pid 2829 (/usr/bin/iok) to /var/spool/abrt/ccpp-2012-05-22-22:00:36-2829 (10522624 bytes)
Comment 1 Aleksey 2012-05-22 14:14:59 EDT
Created attachment 586110 [details]
File: backtrace
Comment 2 Aleksey 2012-05-22 14:15:02 EDT
Created attachment 586111 [details]
File: smolt_data
Comment 3 Aleksey 2012-05-22 14:15:05 EDT
Created attachment 586112 [details]
File: maps
Comment 4 Aleksey 2012-05-22 14:16:12 EDT
Created attachment 586115 [details]
File: dso_list
Comment 5 Parag Nemade 2012-05-23 01:25:27 EDT
I need more input to reproduce this bug. Start iok from gnome-terminal and show me what is appearing on console.

Which locale you started this application?

On my en_US locale, iok is starting fine. Even I used this command
LANG=ru_RU.UTF-8 iok -a

and it started iok without a problem.
Comment 6 Aleksey 2012-05-23 12:10:11 EDT
[aleks@netbook 111]$ iok
*** glibc detected *** iok: malloc(): memory corruption (fast): 0x08e5f470 ***
Ошибка сегментирования (core dumped)

[aleks@netbook 111]$ LANG=ru_RU.UTF-8 iok -a
*** glibc detected *** iok: malloc(): memory corruption (fast): 0x0851d4a8 ***
Ошибка сегментирования (core dumped)

[aleks@netbook 111]$ valgrind iok
==2391== Memcheck, a memory error detector
==2391== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==2391== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==2391== Command: iok
==2391== 
==2391== Invalid write of size 1
==2391==    at 0x402A853: strcpy (mc_replace_strmem.c:429)
==2391==    by 0x80635AF: ??? (in /usr/bin/iok)
==2391==    by 0x806850C: ??? (in /usr/bin/iok)
==2391==    by 0x804B921: ??? (in /usr/bin/iok)
==2391==    by 0x4C64634: (below main) (in /usr/lib/libc-2.15.so)
==2391==  Address 0x54c5e6d is 0 bytes after a block of size 5 alloc'd
==2391==    at 0x402A059: malloc (vg_replace_malloc.c:263)
==2391==    by 0x8063596: ??? (in /usr/bin/iok)
==2391==    by 0x806850C: ??? (in /usr/bin/iok)
==2391==    by 0x804B921: ??? (in /usr/bin/iok)
==2391==    by 0x4C64634: (below main) (in /usr/lib/libc-2.15.so)
==2391== 
==2391== Invalid write of size 1
==2391==    at 0x402A864: strcpy (mc_replace_strmem.c:429)
==2391==    by 0x80635AF: ??? (in /usr/bin/iok)
==2391==    by 0x806850C: ??? (in /usr/bin/iok)
==2391==    by 0x804B921: ??? (in /usr/bin/iok)
==2391==    by 0x4C64634: (below main) (in /usr/lib/libc-2.15.so)
==2391==  Address 0x54c5e7b is 14 bytes after a block of size 5 alloc'd
==2391==    at 0x402A059: malloc (vg_replace_malloc.c:263)
==2391==    by 0x8063596: ??? (in /usr/bin/iok)
==2391==    by 0x806850C: ??? (in /usr/bin/iok)
==2391==    by 0x804B921: ??? (in /usr/bin/iok)
==2391==    by 0x4C64634: (below main) (in /usr/lib/libc-2.15.so)
==2391==
Comment 7 Aleksey 2012-05-23 13:29:21 EDT
I've debuged the program and found a mistake coused this problem.
This patch removes the problem:

--- a/src/interface.c	2012-04-05 09:56:13.000000000 +0400
+++ b/src/interface.c	2012-05-23 20:53:38.020310454 +0400
@@ -2357,7 +2357,7 @@
                         llcnt++;
                     }
 
-                    maplist[mimcnt]= (char *) malloc(strlen(langname)+1);
+                    maplist[mimcnt]= (char *) malloc(strlen(mapname)+1);
                     strcpy(maplist[mimcnt],mapname);
 
                     gtk_combo_box_text_append_text ((GtkComboBoxText *)combo_mim, mapname);


The program had crashed when the length of the string mapname was more then the string langname length
Comment 8 Aleksey 2012-05-23 13:31:22 EDT
Created attachment 586416 [details]
a patch that eliminates the problem
Comment 9 Parag Nemade 2012-05-24 04:37:19 EDT
Aleksey,
  Thanks for the patch. I wonder why my usage of iok do not get caught this crash. I will soon commit this.
Comment 10 Fedora Update System 2012-07-09 02:00:02 EDT
iok-2.1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/iok-2.1.3-1.fc17
Comment 11 Fedora Update System 2012-07-10 12:26:24 EDT
Package iok-2.1.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iok-2.1.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10436/iok-2.1.3-1.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-07-19 04:51:00 EDT
iok-2.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.